#pragma once

#include <maps/libs/enum_io/include/enum_io_fwd.h>

#include <locale>
#include <string>

namespace maps::mrc::agent_proxy {

enum class I18nToken {
    BelarusLawRequireBoundPhone,
};

DECLARE_ENUM_IO(I18nToken);

void initLocalization();

std::string localizeString(I18nToken token, const std::locale& locale);

} // namespace maps::mrc::agent_proxy
